Subject: Re: [PATCH net-next v3 00/11] selftests: kselftest_harness: support using xfail

From: Jakub Kicinski <[email-masked]>
Date: Fri, 23 Feb 2024 16:02:59 -0800

On Tue, 20 Feb 2024 11:22:24 -0800 Jakub Kicinski wrote:
> When running selftests for our subsystem in our CI we'd like all
> tests to pass. Currently some tests use SKIP for cases they
> expect to fail, because the kselftest_harness limits the return
> codes to pass/fail/skip.
> 
> Clean up and support the use of the full range of ksft exit codes
> under kselftest_harness.
> 
> Merge plan is to put it on top of -rc4 and merge into net-next.
> That way others should be able to pull the patches without
> any networking changes.

Hi Mickaël,

would you be able to take a look at those changes? landlock seems to be
the sole user of the "no_print" functionality in the selftest harness.
If the patches look good I'll create a branch based on Linus's tree
so that anyone interested can pull the changes in..